%define major		2
%define libname		%mklibname xml2_ %{major}
%define develname	%mklibname xml2 -d

Summary:	Library providing XML and HTML support
Summary(de):    Bibliothek bietet XML und HTML Unterstützung
Name:		libxml2
Version:	2.9.4
Release:	%mkrel 1
License:	MIT
Group: 		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://www.xmlsoft.org/
Source0:	ftp://xmlsoft.org/libxml2/%{name}-%{version}.tar.xz
Patch0:		libxml2-2.9.3-CVE-2016-3627.patch
#---------------------------------------
BuildRequires: gtk-doc
BuildRequires: zlib1-devel
BuildRequires: %{_lib}lzma-devel
BuildRequires: %{_lib}python-devel
BuildRequires: %{_lib}readline-devel
#---------------------------------------
Obsoletes:  	%name < %version

%description
This library allows you to manipulate XML files. It includes support 
for reading, modifying and writing XML and HTML files. There is DTDs 
support: this includes parsing and validation even with complex DtDs, 
either at parse time or later once the document has been modified. The
output can be a simple SAX stream or and in-memory DOM-like 
representations. In this case one can use the built-in XPath and 
XPointer implementation to select subnodes or ranges. A flexible 
Input/Output mechanism is available, with existing HTTP and FTP modules
and combined to a URI library.

#german
%description -l de
Diese Bibliothek ermöglicht es Ihnen, XML-Dateien zu manipulieren. Es enthält 
Unterstützung für das Lesen, Ändern und Schreiben von XML-und HTML-Dateien. 
Es bietet DTDs Unterstützung: Dazu gehören Analyse und Validierung mit komplexen 
DTDs: entweder zur Analysezeit oder wenn das Dokument geändert wurde. Die
Ausgabe kann ein einfacher SAX-Stream oder/und eine In-Memory-DOM-ähnliche
Darstellungen sein. In diesem Fall kann man mit dem eingebauten XPath und
XPointer Umsetzung wählen in Unterknoten oder Bereiche. Ein flexibler
Input/Output-Mechanismus ist vorhanden, mit bestehenden HTTP-und FTP-Module
und ist in eine URI-Bibliothek zusammengefasst.

%package -n %{libname}
Summary:	Shared libraries providing XML and HTML support
Summary(de):    Bereit gestellte Bibliothek bietet XML und HTML Unterstützung 
Group: 		System/Libraries
Obsoletes:	%{mklibname xml 2}
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
This library allows you to manipulate XML files. It includes support 
for reading, modifying and writing XML and HTML files. There is DTDs 
support: this includes parsing and validation even with complex DtDs, 
either at parse time or later once the document has been modified.

#german
%description -n %{libname} -l de
Diese Bibliothek ermöglicht es Ihnen, XML-Dateien zu manipulieren. Es enthält 
Unterstützung für das Lesen, Ändern und Schreiben von XML-und HTML-Dateien. 
Es bietet DTDs Unterstützung: Dazu gehören Analyse und Validierung mit komplexen 
DTDs: entweder zur Analysezeit oder wenn das Dokument geändert wurde.

%package utils
Summary: Utilities to manipulate XML files
Summary(de): Werkzeuge zum bearbeiten der XML Dateien
Group: System/Libraries
Requires: %{libname} >= %{version}

%description utils
This packages contains utils to manipulate XML files.

#german
%description utils -l de
Dieses Paket beinhaltet Werkzeuge zum bearbeiten von XML Dateien.
 
%package python
Summary: Python bindings for the libxml2 library
Summary(de): Python Bindungen für die libxml2 Bibliothek
Group: Development/Python
Requires: %{libname} >= %{version}
Requires: python >= %{pyver}
Provides: python-%{name} = %{version}-%{release}
%if "%{_lib}" != "lib"
Obsoletes: %{_lib}xml2-python < 2.6.29-4
%endif

%description python
The libxml2-python package contains a module that permits applications
written in the Python programming language to use the interface
supplied by the libxml2 library to manipulate XML files.

This library allows you to manipulate XML files. It includes support 
for reading, modifying and writing XML and HTML files. There is DTDs 
support: this includes parsing and validation even with complex DtDs, 
either at parse time or later once the document has been modified.

#german
%description python -l de
Das libxml2-Python Paket enthält ein Modul, um Anwendungen, die in der 
Programmiersprache Python geschrieben wurden, eine Schnittstelle zur 
libxml2 Bibliothek von XML-Dateien zu ermöglichten. 

Diese Bibliothek kann XML-Dateien bearbeiten. Er bietet Unterstützung 
zum Lesen, Ändern und Schreiben von XML und HTML-Dateien. DTDs wird 
ebenfalls unterstützt. 

%package -n %{develname}
Summary: Libraries, includes, etc. to develop XML and HTML applications
Summary(de): Entwickler Dateien für XML und HTML Applikationen
Group: Development/Libraries
Requires: %{libname} = %{version}
Requires: zlib-devel
Provides: %{name}-devel = %{version}-%{release}

%description -n %{develname}
Libraries, include files, etc you can use to develop XML applications.
This library allows you to manipulate XML files. It includes support 
for reading, modifying and writing XML and HTML files. There is DTDs 
support: this includes parsing and validation even with complex DtDs, 
either at parse time or later once the document has been modified. 

#german
%description -n %{develname} -l de
Entwickler Dateien für XML und HTML Applikationen.
Bibliotheken, Include Dateien usw. 
Es unterstützt das lesen, schreiben modifizieren von XML und HTML Dateien. 
DTDs wird ebenfalls unterstützt. 

%prep
%setup -q

%build
%configure2_5x --disable-static

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

#only do it here if check aren't done
if [ %{_with check} -eq 0 ]; then 
  # clean before packaging documentation
  (cd doc/examples ; make clean ; rm -rf .deps Makefile)
  gzip -9 doc/libxml2-api.xml
fi


# multiarch policy
%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/xml2-config

# remove unpackaged files
rm -rf	$RPM_BUILD_ROOT%{_prefix}/doc \
 	$RPM_BUILD_ROOT%{_datadir}/doc 

#we don't want these
find %{buildroot} -name "*.la" -delete


%clean
rm -rf $RPM_BUILD_ROOT


%files -n %{libname}
%defattr(-, root, root)
%{_libdir}/lib*.so.*

%files utils
%defattr(-, root, root)
%doc AUTHORS README Copyright TODO 
%{_bindir}/xmlcatalog
%{_bindir}/xmllint
%{_mandir}/man1/xmlcatalog*
%{_mandir}/man1/xmllint*

%files python
%defattr(-, root, root)
%doc AUTHORS README Copyright TODO 
%doc doc/*.py doc/python.html
%doc python/TODO
%doc python/libxml2class.txt
%doc python/tests/*.py
%{_libdir}/python%{pyver}/site-packages/*.so
%{_libdir}/python%{pyver}/site-packages/*.py

%files -n %{develname}
%defattr(-, root, root)
%doc AUTHORS ChangeLog README Copyright TODO 
%doc doc/*.html doc/*.gif doc/*.png doc/html doc/examples doc/tutorial

%doc %{_datadir}/gtk-doc/html/*
%{_bindir}/xml2-config
%multiarch %{multiarch_bindir}/xml2-config
%{_libdir}/*.so
%{_libdir}/*.sh
%{_libdir}/pkgconfig/*
%{_mandir}/man1/xml2-config*
%{_mandir}/man3/*
%{_includedir}/*
%{_datadir}/aclocal/*
%{_libdir}/cmake/libxml2/libxml2-config.cmake

%changelog
* Mon Dec 05 2016 adrianomorselli <adrianomorselli> 2.9.4-1uplos2016
- rebuild

* Thu Jul 21 2016 bb <bb> 2.9.4-1pclos2016
- update

* Fri Nov 20 2015 bb <bb> 2.9.3-1pclos2015
- update

* Sat Jan 18 2014 bb <bb> 2.9.1-1pclos2014
- update
- drop post ldconfig scripts
- adjust BR


